curl --request POST \
--url https://api.gurubase.io/api/v1/{guru_slug}/follow-up/examples/ \
--header 'x-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"question_slug": "what-is-gurubase-151e2d23-4316-4d85-936c-d806d431a014"
}'
import requests
url = "https://api.gurubase.io/api/v1/{guru_slug}/follow-up/examples/"
payload = {
"question_slug": "what-is-gurubase-151e2d23-4316-4d85-936c-d806d431a014"
}
headers = {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
{
"follow_up_examples": [
"How can Gurubase be integrated with platforms like Slack or Discord?",
"What are the benefits of using Gurubase's real-time updates feature?",
"How does Gurubase handle multiple data sources for creating a Guru?"
],
"question_slug": "what-is-gurubase-151e2d23-4316-4d85-936c-d806d431a014",
"cached": true
}
{
"error": "Question slug or question text is required"
}
{
"error": "Binge does not exist"
}
{
"error": "Invalid API key"
}
{
"error": "Question does not exist"
}
{
"error": "Guru type does not exist"
}
{
"error": "Rate limit exceeded"
}
{
"error": "An error occurred while generating follow-up examples"
}
Endpoints
Follow-up Examples
Generate follow-up question examples for a given question.
POST
/
{guru_type}
/
follow-up
/
examples
/
curl --request POST \
--url https://api.gurubase.io/api/v1/{guru_slug}/follow-up/examples/ \
--header 'x-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"question_slug": "what-is-gurubase-151e2d23-4316-4d85-936c-d806d431a014"
}'
import requests
url = "https://api.gurubase.io/api/v1/{guru_slug}/follow-up/examples/"
payload = {
"question_slug": "what-is-gurubase-151e2d23-4316-4d85-936c-d806d431a014"
}
headers = {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
{
"follow_up_examples": [
"How can Gurubase be integrated with platforms like Slack or Discord?",
"What are the benefits of using Gurubase's real-time updates feature?",
"How does Gurubase handle multiple data sources for creating a Guru?"
],
"question_slug": "what-is-gurubase-151e2d23-4316-4d85-936c-d806d431a014",
"cached": true
}
{
"error": "Question slug or question text is required"
}
{
"error": "Binge does not exist"
}
{
"error": "Invalid API key"
}
{
"error": "Question does not exist"
}
{
"error": "Guru type does not exist"
}
{
"error": "Rate limit exceeded"
}
{
"error": "An error occurred while generating follow-up examples"
}
This endpoint generates a list of suggested follow-up questions based on a previous question. You can identify the previous question by its slug or by providing the question text directly.
Upon first hit, the endpoint generates them. The consecutive hits retrieve the generated follow-up examples.
curl --request POST \
--url https://api.gurubase.io/api/v1/{guru_slug}/follow-up/examples/ \
--header 'x-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"question_slug": "what-is-gurubase-151e2d23-4316-4d85-936c-d806d431a014"
}'
import requests
url = "https://api.gurubase.io/api/v1/{guru_slug}/follow-up/examples/"
payload = {
"question_slug": "what-is-gurubase-151e2d23-4316-4d85-936c-d806d431a014"
}
headers = {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
Path Parameters
string
required
The guru type identifier for the request.
Headers
string
required
Your API key for authentication. You can obtain your API key from the Gurubase dashboard.
Body Parameters
string
The slug of the question to get follow-up examples for. Either
question_slug or question is required.string
The text of the question to get follow-up examples for. Either
question_slug or question is required.string
The ID of the binge session (if exists) associated with the question.
Response
array<string>
A list of suggested follow-up questions.
string
The slug of the question for which the examples were generated.
boolean
Indicates whether the follow-up examples were retrieved from cache.
{
"follow_up_examples": [
"How can Gurubase be integrated with platforms like Slack or Discord?",
"What are the benefits of using Gurubase's real-time updates feature?",
"How does Gurubase handle multiple data sources for creating a Guru?"
],
"question_slug": "what-is-gurubase-151e2d23-4316-4d85-936c-d806d431a014",
"cached": true
}
{
"error": "Question slug or question text is required"
}
{
"error": "Binge does not exist"
}
{
"error": "Invalid API key"
}
{
"error": "Question does not exist"
}
{
"error": "Guru type does not exist"
}
{
"error": "Rate limit exceeded"
}
{
"error": "An error occurred while generating follow-up examples"
}
Was this page helpful?